Magick::DrawableStrokePatternUrl Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableStrokePatternUrl:
[legend]
Collaboration diagram for Magick::DrawableStrokePatternUrl:
[legend]

## Public Member Functions

| DrawableStrokePatternUrl (const std::string &url_)
| ~DrawableStrokePatternUrl (void)
| DrawableStrokePatternUrl (const DrawableStrokePatternUrl &original_)
void | operator() (MagickCore::DrawingWand *context_) const
void | url (const std::string &url_)
std::string | url (void) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1859 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableStrokePatternUrl() [1/2]

Magick::DrawableStrokePatternUrl::DrawableStrokePatternUrl | ( | const std::string & | url_ | ) |

Definition at line 1328 of file Drawable.cpp.

## ~DrawableStrokePatternUrl()

Magick::DrawableStrokePatternUrl::~DrawableStrokePatternUrl | ( | void |  | ) |

Definition at line 1341 of file Drawable.cpp.

## DrawableStrokePatternUrl() [2/2]

Magick::DrawableStrokePatternUrl::DrawableStrokePatternUrl | ( | const DrawableStrokePatternUrl & | original_ | ) |

Definition at line 1334 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableStrokePatternUrl::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1361 of file Drawable.cpp.

## operator()()

void Magick::DrawableStrokePatternUrl::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1345 of file Drawable.cpp.

## url() [1/2]

void Magick::DrawableStrokePatternUrl::url | ( | const std::string & | url_ | ) |

Definition at line 1351 of file Drawable.cpp.

## url() [2/2]

std::string Magick::DrawableStrokePatternUrl::url | ( | void |  | ) | const

Definition at line 1356 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp